Bug 1704413 - aria2c unable to download content from HTTPS sites
Summary: aria2c unable to download content from HTTPS sites
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: aria2
Version: epel7
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Othman Madjoudj
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-29 16:42 UTC by Gabríel Arthúr Pétursson
Modified: 2019-05-19 06:55 UTC (History)
4 users (show)

Fixed In Version: aria2-1.34.0-5.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Both CentOS 7 and RHEL 7
Last Closed: 2019-05-19 06:55:25 UTC


Attachments (Terms of Use)

Description Gabríel Arthúr Pétursson 2019-04-29 16:42:30 UTC
Description of problem:

aria2 is unable to fetch content from HTTPS sites. Downloads fail with an "SSL initialization failed: The request is invalid." error.



Version-Release number of selected component (if applicable):

Package version is `aria2-1.34.0-4.el7`.



How reproducible:

Always reproducible.



Steps to Reproduce:
1. Run `aria2c https://google.com/`



Actual results:

> [ansible@proclidev03 ~]$ aria2c https://google.com/
> 
> 04/29 16:35:58 [NOTICE] Downloading 1 item(s)
> 
> 04/29 16:35:58 [ERROR] CUID#7 - Download aborted. URI=https://google.com/
> Exception: [AbstractCommand.cc:351] errorCode=1 URI=https://google.com/
>   -> [SocketCore.cc:932] errorCode=1 SSL initialization failed: The request is invalid.
> 
> 04/29 16:35:58 [NOTICE] Download GID#5f7b61ae195c3275 not complete: 
> 
> Download Results:
> gid   |stat|avg speed  |path/URI
> ======+====+===========+=======================================================
> 5f7b61|ERR |       0B/s|https://google.com/
> 
> Status Legend:
> (ERR):error occurred.
> 
> aria2 will resume download if the transfer is restarted.
> If there are any errors, then see the log file. See '-l' option in help/man page for details.



Expected results:

[ansible@proclidev03 t]$ aria2c https://google.com
> 
> 04/29 16:11:26 [NOTICE] Downloading 1 item(s)
> 
> 04/29 16:11:26 [NOTICE] CUID#7 - Redirecting to https://www.google.com/
> 
> 04/29 16:11:26 [NOTICE] Download complete: /home/ansible/index.html
> 
> Download Results:
> gid   |stat|avg speed  |path/URI
> ======+====+===========+=======================================================
> 09e5ef|OK  |    28KiB/s|/home/ansible/index.html
> 
> Status Legend:
> (OK):download completed.



Additional info:

Reproduced on both RHEL 7 and CentOS 7.

Compiling the source RPM without passing `--enable-gnutls-system-crypto-policy` to `./configure` resolves this issue. It appears that GnuTLS does not support the "@SYSTEM" priority on these systems.

Comment 1 Fedora Update System 2019-04-29 23:16:50 UTC
aria2-1.34.0-5.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-ee5d1024e8

Comment 2 Othman Madjoudj 2019-04-29 23:18:03 UTC
Thank you for reporting the issue, it should be fixed in aria2-1.34.0-5.el7, please test and provide feedback (karma)

Comment 3 Fedora Update System 2019-04-30 01:44:42 UTC
aria2-1.34.0-5.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-ee5d1024e8

Comment 4 Gabríel Arthúr Pétursson 2019-04-30 11:20:39 UTC
Thank you for the quick fix! The new package in epel-testing is working correctly for us.

Comment 5 Dmitriy Rabotjagov 2019-05-06 16:36:37 UTC
Thanks, fix works! Would be great to see 1.34.0-5 in regular epel, as 1.34.0-4 break things.

Comment 6 Fedora Update System 2019-05-19 06:55:25 UTC
aria2-1.34.0-5.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.